# NEOS DEVELOPMENT ENVIRONMENT
#
# For instructions how to use docker-compose, see
# https://docs.neos.io/cms/installation-development-setup/docker-and-docker-compose-setup#docker-compose-cheat-sheet
services:
  # Neos CMS
  neos:
    build:
      context: .
      dockerfile: Dockerfile.dev
    environment:
      FLOW_CONTEXT: 'Development/Docker'
    volumes:
      - ./composer.json:/app/composer.json
      - ./composer.lock:/app/composer.lock
      - ./Configuration/:/app/Configuration/
      - ./DistributionPackages/:/app/DistributionPackages/
      # if you work on other packages, you need to add them here.

      # WARNING: you need to add all packages from Distribution packages here ONE BY ONE, see the notice below for explanation.
      - ./Packages/Sites/:/app/Packages/Sites/
    ports:
      - 8081:8081
  # DB
    db:
    image: mariadb:10.11
    environment:
      MYSQL_HOST: 'localhost'
      MYSQL_DATABASE: 'skynetus_neos'
      MYSQL_USER: 'skynetus_neos'
      MYSQL_PASSWORD: 'gOUD[)R%0YIw'
    volumes:
      - db:/var/lib/mysql
    ports:
      - 13306:3306

volumes:
  db:
